curl --request POST 'https://core.getfaceage.com/api/v1/business/{business_id}?site=https://www.your-domain.com&name=your_business_name&country=22&business_size=small&after_analyze_status=&logo=/images/logo.png&mail_encryption=&mail_username=&mail_password=&mail_port=&mail_mailer=&mail_host=&mail_from_name=&mail_from_address=' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer your_secret_key'
{
"status": true,
"data": 1
}
{
"message": "Unauthenticated."
}
{
"message": "The business size field is required.",
"errors": {
"business_size": ["The business size field is required."]
}
}
Business management
Update a business
Update a business’s name, size, location, logo and email settings.
POST
/
business
/
{business_id}
curl --request POST 'https://core.getfaceage.com/api/v1/business/{business_id}?site=https://www.your-domain.com&name=your_business_name&country=22&business_size=small&after_analyze_status=&logo=/images/logo.png&mail_encryption=&mail_username=&mail_password=&mail_port=&mail_mailer=&mail_host=&mail_from_name=&mail_from_address=' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer your_secret_key'
{
"status": true,
"data": 1
}
{
"message": "Unauthenticated."
}
{
"message": "The business size field is required.",
"errors": {
"business_size": ["The business size field is required."]
}
}
Updates the key settings of a business: name, size, location, logo and outgoing email configuration.
Path parameters
Query parameters
Website URL of the business, for example
https://www.your-domain.com. Required, but it cannot be changed after the business is created.Country ID — the
value field from Get countries.Nullable. Logo path returned by Upload a logo, for example
/images/logo.png.Email settings
These parameters configure the email account the business uses to send messages.Address outgoing emails are sent from, for example
[email protected].Response
curl --request POST 'https://core.getfaceage.com/api/v1/business/{business_id}?site=https://www.your-domain.com&name=your_business_name&country=22&business_size=small&after_analyze_status=&logo=/images/logo.png&mail_encryption=&mail_username=&mail_password=&mail_port=&mail_mailer=&mail_host=&mail_from_name=&mail_from_address=' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer your_secret_key'
{
"status": true,
"data": 1
}
{
"message": "Unauthenticated."
}
{
"message": "The business size field is required.",
"errors": {
"business_size": ["The business size field is required."]
}
}